# ``twisted`.`internet`.`main``

module documentation
(source)

Backwards compatibility, and utility functions.

In general, this module should not be used, other than by reactor authors who need to use the 'installReactor' method.

Function | `installReactor` | Install reactor `reactor`.
Constant | `CONNECTION_DONE` | Undocumented
Constant | `CONNECTION_LOST` | Undocumented

def installReactor(reactor): (source)
Install reactor `reactor`.

Parameters
reactor | An object that provides one or more IReactor* interfaces.

CONNECTION_DONE = (source)

Undocumented

Value

    error.ConnectionDone('Connection done')

CONNECTION_LOST = (source)

Undocumented

Value

    error.ConnectionLost('Connection lost')